#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gsettings-desktop-schemas-3.38.0

- Next

  rest-0.8.1

- Up
- Home

# libsecret-0.20.4

## Introduction to libsecret

The libsecret package contains a GObject based library for accessing the Secret Service API.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsecret/0.20/libsecret-0.20.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libsecret/0.20/libsecret-0.20.4.tar.xz

- Download MD5 sum: bf92f48afab2891f644f311e0f37683f

- Download size: 520 KB

- Estimated disk space required: 14 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libsecret Dependencies

#### Required

GLib-2.66.7

#### Recommended

gobject-introspection-1.66.1, libgcrypt-1.9.2, and Vala-0.50.3

#### Optional

GTK-Doc-1.33.2 and docbook-xml-4.5, docbook-xsl-1.79.2, libxslt-1.1.34 (to build manual pages), and Valgrind-3.16.1 (can be used in tests)

#### Optional (Required for the testsuite)

D-Bus Python-1.2.16, Gjs-1.66.2, and PyGObject-3.38.0 (Python 3 module)

#### Runtime Dependency

gnome-keyring-3.36.0

### Note

Any package requiring libsecret expects GNOME Keyring to be present at runtime.

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libsecret

## Installation of libsecret

Install libsecret by running the following commands:

    mkdir bld &&
    cd bld &&

    meson --prefix=/usr -Dgtk_doc=false .. &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: ninja test, after the package is installed. The test suite should be run from a local GUI session started with dbus-launch.

## Command Explanations

`-Dgtk_doc=false`: Remove this if you have GTK-Doc-1.33.2 installed and want to rebuild the documentation with it.

`-Dmanpage=false`: Use this switch if you have not installed libxslt-1.1.34 and DocBook packages.

`-Dgcrypt=false`: Use this switch if you have not installed the recommended dependency of libgcrypt-1.9.2.

## Contents

Installed Program: secret-tool
Installed Library: libsecret-1.so
Installed Directories: /usr/include/libsecret-1 and /usr/share/gtk-doc/html/libsecret-1

### Short Descriptions

secret-tool | is a command line tool that can be used to store and retrieve passwords
`libsecret-1.so` | contains the libsecret API functions

Last updated on 2021-02-21 20:38:24 -0800

- Prev

  gsettings-desktop-schemas-3.38.0

- Next

  rest-0.8.1

- Up
- Home